aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Moore <alm@FreeBSD.org>1993-07-24 03:41:41 +0000
committerAndrew Moore <alm@FreeBSD.org>1993-07-24 03:41:41 +0000
commit1b7072f47783fcef53320497de66b28f1dfe6dad (patch)
tree7578273a5422657c14041d429f32172700ca1ebf
parentf48c5293f68eae4305ed793043c07a9d2bc511c0 (diff)
downloadsrc-1b7072f47783fcef53320497de66b28f1dfe6dad.tar.gz
src-1b7072f47783fcef53320497de66b28f1dfe6dad.zip
changed find . -name '*' to find . -type f
Notes
Notes: svn path=/head/; revision=188
-rw-r--r--gnu/usr.bin/man/makewhatis/makewhatis.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/gnu/usr.bin/man/makewhatis/makewhatis.sh b/gnu/usr.bin/man/makewhatis/makewhatis.sh
index 7501be7fc043..1d86d1993946 100644
--- a/gnu/usr.bin/man/makewhatis/makewhatis.sh
+++ b/gnu/usr.bin/man/makewhatis/makewhatis.sh
@@ -28,7 +28,7 @@ do
do
if [ -d $subdir ]
then
- for f in `find $subdir -name '*' -print`
+ for f in `find $subdir -type f -print`
do
sed -n '/^\.TH.*$/p
/^\.Dt.*$/p
@@ -41,7 +41,9 @@ do
awk 'BEGIN {insh = 0; inSh = 0; Nd = 0} {
if ($1 == ".TH" || $1 == ".Dt")
sect = $3
- else if (($1 == ".br" && insh == 1) || ($1 == ".SH" && insh == 1) || ($1 == ".Sh" && inSh == 1)) {
+ else if (($1 == ".br" && insh == 1)\
+ || ($1 == ".SH" && insh == 1)\
+ || ($1 == ".Sh" && inSh == 1)) {
if (i > 0 && nc > 0) {
for (k= 1; k <= nc; k++) {
namesect = sprintf("%s (%s)", name[k], sect)